## xresprobe 0.4.10

=== Makefile ===
DATADIR := /usr/share/xresprobe
SBINDIR := /usr/sbin

all:
	$(MAKE) -C ddcprobe

clean:
	$(MAKE) -C ddcprobe clean

install:
	$(MAKE) -C ddcprobe install DESTDIR="$(DESTDIR)"
	mkdir -p $(DESTDIR)$(DATADIR)/
	mkdir -p $(DESTDIR)$(SBINDIR)/
	install -m755 xresprobe $(DESTDIR)$(SBINDIR)/
	install -m755 xprobe.sh $(DESTDIR)$(DATADIR)/
	install -m755 ddcprobe.sh $(DESTDIR)$(DATADIR)/
	install -m755 lcdsize.sh $(DESTDIR)$(DATADIR)/
	install -m644 xfree86.conf $(DESTDIR)$(DATADIR)/

=== ddcprobe/Makefile ===
ARCH := $(patsubst i%86,i386,$(shell uname -m))
ARCH := $(patsubst sparc%,sparc,$(ARCH))
ARCH := $(patsubst ppc%,ppc,$(ARCH))

CC = gcc
CFLAGS = -Wall -O2 -g# -DDEBUG
TARGETS = ddcprobe ddcxinfo 
DDC_OBJS = vesamode.o common.o
DDC_LIBS =

ifeq ($(findstring $(ARCH),i386), $(ARCH))
TARGETS += svgamodes modetest libvbe.a
DDC_OBJS += lrmi.o vbe.o
endif

ifeq ($(ARCH),ppc)
DDC_OBJS += of.o minifind.o
endif

ifeq ($(ARCH),x86_64)
DDC_OBJS += stub.o
endif

ifeq (.depend,$(wildcard .depend))
TARGET=all
else
TARGET=depend all
endif

everything: $(TARGET)

all: $(TARGETS)

install: $(TARGETS)
	mkdir -p $(DESTDIR)/usr/sbin
	cp -a ddcprobe $(DESTDIR)/usr/sbin/ddcprobe

 
# i386 and ppc targets
ddcprobe: $(DDC_OBJS) ddcprobe.o
	$(CC) $(CFLAGS) -o ddcprobe $(DDC_OBJS) ddcprobe.o $(DDC_LIBS)
ddcxinfo: $(DDC_OBJS) ddcxinfo.o
	$(CC) $(CFLAGS) -o ddcxinfo $(DDC_OBJS) ddcxinfo.o $(DDC_LIBS)

# i386 targets
svgamodes: lrmi.o vesamode.o vbe.o svgamodes.o
modetest: lrmi.o vesamode.o vbe.o modetest.o
libvbe.a: lrmi.o vesamode.o vbe.o
	$(AR) cru $@ $^

install-lib: $(prefix)/include/vbe.h $(prefix)/lib/libvbe.a

$(prefix)/include/vbe.h:
	install -m 644 vbe.h $(prefix)/include/vbe.h

$(prefix)/lib/libvbe.a:
	install -m 644 libvbe.a $(prefix)/lib/libvbe.a

clean:
	$(RM) $(TARGETS) *.o .depend core

depend:
	$(CPP) -M $(CFLAGS) *.c > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
xresprobe (0.4.10) warty; urgency=low

  * xprobe.sh: Respect TMPDIR environment variable.

 -- Daniel Stone <daniel.stone@canonical.com>  Thu, 30 Sep 2004 18:05:11 +1000

xresprobe (0.4.9) warty; urgency=low

  * Add monitor range/name/et al detection code back to ddcprobe; this was
    lost in the dtiming fix.
  * Fix a warning in ddcprobe by explicitly casting to unsigned char *.

 -- Daniel Stone <daniel.stone@canonical.com>  Sat, 25 Sep 2004 17:54:02 +1000

xresprobe (0.4.8) warty; urgency=low

  * Add proper detection of panel size to nv; conditional on backported driver
    from X.Org.  Keep the xf86SetMode part as a fallback.
  * Really fix detection of duplicate modes in ddcprobe.sh.
  * New testcase: really weird monitor that reports some totally wack modes
    (blacklist 2288x1430).
  * Add some really rudimentary debugging to ddcprobe.sh.
  * Added proper detailed timing code to ddcprobe.c, which calculates the
    resolution and frequency from the detailed timing, and the requisite
    support in ddcprobe.sh.
  * Added UNDETECTABLE file, listing the setups we can't properly detect
    resolutions on; right now, this is just r4xx, because I need to flex my
    grep muscles a little harder.  Ho hum.  Also list amd64, because we don't
    have DDC for it yet.

 -- Daniel Stone <daniel.stone@canonical.com>  Sat, 18 Sep 2004 05:40:16 +1000

xresprobe (0.4.7) warty; urgency=low

  * Fix multiple resolution sort; when the top resolution has two refresh
    rates, ensure that it gets returned as a valid resolution (thanks, Martin
    Pitt and LaMont Jones).

 -- Daniel Stone <daniel.stone@canonical.com>  Wed, 15 Sep 2004 07:30:19 -0700

xresprobe (0.4.6) warty; urgency=low

  * Silently refuse to start unless XRESPROBE_FORCE_PROBE is set if we're
    running on i810 and there's already an X display active.

 -- Daniel Stone <daniel.stone@canonical.com>  Tue, 14 Sep 2004 00:11:32 -0700

xresprobe (0.4.5) warty; urgency=low

  * The 'uploading more often than Thom' release.
  * Typo: s/XPROBE_DEBUG/XRESPROBE_DEBUG/ to make really, really sure it's not
    nuking the log dir (thanks mdz).

 -- Daniel Stone <daniels@debian.org>  Mon, 13 Sep 2004 17:14:46 +1000

xresprobe (0.4.4) warty; urgency=low

  * Stop returning 1234x567@89 (i.e. freqency) with only one resolution.

 -- Daniel Stone <daniel.stone@canonical.com>  Mon, 13 Sep 2004 11:37:02 +1000

xresprobe (0.4.3) warty; urgency=low

  * Make xprobe.sh explicitly call /etc/X11/X (thanks, Matt Zimmerman).

 -- Daniel Stone <daniels@debian.org>  Sun, 12 Sep 2004 12:19:37 +1000

xresprobe (0.4.2) warty; urgency=low

  * Fix up debugging so temporary directory for the probe is not deleted when
    debugging.

 -- Daniel Stone <daniels@debian.org>  Sat, 11 Sep 2004 12:40:54 +1000

xresprobe (0.4.1) warty; urgency=low

  * Add debugging to scripts, accessible by setting the XRESPROBE_DEBUG
    variable.

 -- Daniel Stone <daniels@debian.org>  Sat, 11 Sep 2004 12:25:29 +1000

xresprobe (0.4) warty; urgency=low

  * Move to making a native package, as there's no point with an orig.
  * Detect LCDs when doing DDC probes, and use their highest-probed
    resolution, as opposed to the n-1 metric, which is better for CRTs.
  * When doing n-1 on CRTs, don't display the highest resolution at all, as
    that leads to virtual != resolution in X.

 -- Daniel Stone <daniels@debian.org>  Wed,  8 Sep 2004 22:01:19 +1000

xresprobe (0.3-0ubuntu4) warty; urgency=low

  * Make ddcprobe.sh exit 1 on an exit 1 (e.g. permission denied) from
    ddcprobe, and tighten up xresprobe so that it will always exit 1 when its
    subscripts exit 1.

 -- Daniel Stone <daniels@debian.org>  Mon,  6 Sep 2004 10:13:16 +1000

xresprobe (0.3-0ubuntu3) warty; urgency=low

  Changes by Fabio M. Di Nitto:

  * Add patch to compile on amd64 and return exit 1 on unsupported archs.
    (thanks to Thom)

  Changes by Daniel Stone:

  * Use $() instead of `` in xresprobe.
  * Fix regression with detecting BIOS (non-DDC) panels on Radeons.
  * Make 'atimisc', 'r128' and 'radeon' synonyms for ati.
  * Make ddcprobe.sh accept an optional argument of a filename to look
    through, rather than always invoking ddcprobe; makes it easier to add a
    testsuite later.
  * Switch to using res/name/freq in ddcprobe.sh, in line with xresprobe.
  * Grok custom 'timingX' lines in ddcprobe.sh, but not fully; lines are not
    properly calculated according to the GTF.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 25 Aug 2004 20:11:50 +0200

xresprobe (0.3-0ubuntu2) warty; urgency=low

  * Fix sed in ddcprobe.sh and make ppc laptop detection working again.
  * Add special case when there is only one resolution in ddcprobe.sh.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 25 Aug 2004 16:25:02 +0200

xresprobe (0.3-0ubuntu1) warty; urgency=low

  * Rewrite most of the scripts:
    + removed bashisms here and there.
    + ddcprobe returns frequencies too.
    + $ARCH was not set. never. Use uname -m and check for ppc and ppc64
    + ddcprobe was called when a X probe was required and viceversa on ppc
      laptops
    + simplified xresprobe logic.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 25 Aug 2004 13:47:14 +0200

xresprobe (0.2-0ubuntu2) warty; urgency=low

  * Fix detection on CRT.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Mon, 23 Aug 2004 06:35:00 +0200

xresprobe (0.2-0ubuntu1) warty; urgency=low

  * Add terrible hack for 'nv' driver, where the Virtual size log from
    xf86ValidateModes gets the LCD size for us.
  * Clean up tempfile handling (thanks, Colin Watson and James Troup).

 -- Daniel Stone <daniels@debian.org>  Thu, 19 Aug 2004 16:32:47 +0100

xresprobe (0.1-0ubuntu1) warty; urgency=low

  * First xresprobe release.

 -- Daniel Stone <daniels@debian.org>  Wed, 19 Aug 2004 12:16:03 +0100

=== debian/control ===
Source: xresprobe
Section: x11
Priority: optional
Maintainer: Daniel Stone <daniels@debian.org>
Uploaders: Daniel Stone <daniel.stone@canonical.com>
Build-Depends: debhelper (>= 4.0.0), cdbs
Standards-Version: 3.6.1.0

Package: xresprobe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X Resolution Probe
 xresprobe is a package that probes both laptop and DDC-compliant screens for
 their standard resolutions, and returns a specifically-formatted, easy-to-parse
 output.
 .
 It contains the 'ddcprobe' package, which performs a DDC probe to the monitor;
 however, ddcprobe only works on i386, powerpc, and amd64. The laptop detection
 routines are, however, sufficiently generic to to be useful to other
 architectures.

## xresprobe 0.4.16

=== ddcprobe/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ARCH := $(patsubst ppc%,ppc,$(ARCH))
 
 CC = gcc
-CFLAGS = -Wall -O2 -g# -DDEBUG
+CFLAGS = -W -Wall -O2 -g# -DDEBUG
 TARGETS = ddcprobe ddcxinfo 
 DDC_OBJS = vesamode.o common.o
 DDC_LIBS =
@@ -18,6 +18,14 @@
 endif
 
 ifeq ($(ARCH),x86_64)
+DDC_OBJS += stub.o
+endif
+
+ifeq ($(ARCH),sparc)
+DDC_OBJS += stub.o
+endif
+
+ifeq ($(ARCH),ia64)
 DDC_OBJS += stub.o
 endif

## xresprobe 0.4.18

=== debian/changelog ===
xresprobe (0.4.18) hoary; urgency=low

  * ddcprobe: include stub functions by default, instead of a static
    architecture -> source list (thanks, LaMont Jones).
  * Add another Radeon panel string, although if we ever fall back here, we
    should have got the information via DDC.
  * Add panel identifier strings for chips.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Sat,  2 Apr 2005 11:36:06 +1000

xresprobe (0.4.17) hoary; urgency=low

  * Loosen the Neomagic lcdsize case (closes: Ubuntu#8228).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Sun, 27 Mar 2005 13:36:13 +1000

xresprobe (0.4.16) hoary; urgency=low

  * Merge from unreleased 0.5 branch: add support for 'rigging' xresprobe
    results.  XRESPROBE_RIG=noddc results in a null result being returned
    (f.e. a desktop where DDC fails) and XRESPROBE_RIG=log results in
    lcdsize.sh and bitdepth.sh being run across $XRESPROBE_RIG_LOG.
    XRESPROBE_RIG=ddc results in ddcprobe.sh being run across
    $XRESPROBE_RIG_DDC.  Driver will be taken from $XRESPROBE_DRIVER; bit
    depth check is run across $XRESPROBE_RIG_LOG, if it exists.
  * Add Replaces on kudzu-vesa (thanks, Otavio Salvador).
  * Add patch from Petter Reinholdtsen to fix compilation with gcc 2.95.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 17 Mar 2005 10:58:01 +1100

xresprobe (0.4.15) hoary; urgency=low

  * Add patch from Sven Luther to walk /sys looking for EDID data exported by
    (e.g.) radeonfb on alpha and powerpc, as well as checking the OF device
    tree (partially mitigates Ubuntu#7144).
  * Unconditionally fork X on i810, and grep the log to see if the card breaks
    with 'no modes supported at the current depth' (i.e. the BIOS authors
    didn't think 24bpp was a good idea), and output 'depth: 16' in this case
    to hint the X server in the direction of something that may work.  Yes,
    this is an awful hack, but it (closes: Ubuntu#6675).
    + Added bitdepth.sh; refactored xresprobe code to separate code to fork
      Xorg and capture the log into a forkx() function, which dodepthcheck()
      and doprobe() call.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed, 16 Mar 2005 23:09:28 +1100

xresprobe (0.4.14) hoary; urgency=low

  * Add magic strings for siliconmotion (tested), trident (untested), and
    via (untested) to lcdsize.sh.
  * Correct savage magic string in lcdsize.sh to be a little more portable.
  * Since some wack drivers like siliconmotion output multiple (identical!)
    panel size strings, just take the first one and hope for the best.
  * Change xfree86.* to xorg.* in xprobe.sh; clean xorg.conf up a little to be
    a bit more minimal.
  * Change author strings to ubuntu.com.
  
 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu,  3 Feb 2005 04:36:11 +1100

xresprobe (0.4.13) hoary; urgency=low

  * Add display type (disptype: either 'crt', 'lcd/lvds', or 'lcd/tmds') to
    xresprobe output.
  * Recommend laptop-detect (closes: Ubuntu#4650).
  * Change Maintainer to myself, change email address from canonical ->
    ubuntu.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 17 Jan 2005 13:23:08 +1100

xresprobe (0.4.12) hoary; urgency=low

  * Fix ia64 and sparc port.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Sun, 21 Nov 2004 12:46:23 +0100

xresprobe (0.4.11) hoary; urgency=low

  * Add r128 case to lcdsize.sh (closes: Ubuntu#3189).

 -- Daniel Stone <daniel.stone@canonical.com>  Wed,  3 Nov 2004 11:44:13 +0100

## xresprobe 0.4.19

=== ddcprobe/Makefile ===
--- 
+++ 
@@ -11,22 +11,12 @@
 ifeq ($(findstring $(ARCH),i386), $(ARCH))
 TARGETS += svgamodes modetest libvbe.a
 DDC_OBJS += lrmi.o vbe.o
-endif
-
+else
 ifeq ($(ARCH),ppc)
 DDC_OBJS += of.o minifind.o
-endif
-
-ifeq ($(ARCH),x86_64)
+else
 DDC_OBJS += stub.o
 endif
-
-ifeq ($(ARCH),sparc)
-DDC_OBJS += stub.o
-endif
-
-ifeq ($(ARCH),ia64)
-DDC_OBJS += stub.o
 endif
 
 ifeq (.depend,$(wildcard .depend))

=== debian/changelog ===
xresprobe (0.4.19) breezy; urgency=low

  * Apply Debian patch to fix CRT/LCD regexp in ddcprobe.sh (closes: #328551).
  * Remap 1408x1050 to 1400x1050 by force on savages.  Yes, I know this is a
    horror freak show (closes: Ubuntu#15231).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 16 Sep 2005 17:36:42 +1000

xresprobe (0.4.18-1) unstable; urgency=low

  * New upstream release.
    - FTBFS: missing stubs on several architectures. Closes: #309491;

 -- Otavio Salvador <otavio@debian.org>  Wed, 18 May 2005 00:43:19 -0300

xresprobe (0.4.16-1) unstable; urgency=low

  * Initial version for Debian.
  * Replace kudzu-vesa and then allow upgrades from woody.
  * Use simple-patch support of CDBS build system to apply patches in
    build time to fix issues while these patches weren't include by
    upstream.
  * debian/patches/10_gcc_2.95_fixes.diff: Added, while we were working on
    0.4.14, to fix some compilation issues Petter Reinholdtsen
    <pere@hungry.com> for the patch.
  * debian/patches/10_gcc_2.95_fixes.diff: Droped since was merged on
    0.4.16 upstream release.
  
 -- Otavio Salvador <otavio@debian.org>  Mon,  4 Apr 2005 11:15:24 -0300

## xresprobe 0.4.23

=== debian/changelog ===
xresprobe (0.4.23) dapper; urgency=low

  * Fix vbe_get_vbe_info in stub.c to match the declaration.

 -- LaMont Jones <lamont@ubuntu.com>  Wed, 22 Mar 2006 16:11:56 -0700

xresprobe (0.4.22) dapper; urgency=low

  * More AMD64 support.  Reset the stack pointer on each call to LRMI_int
    (unless overridden in regs).  Without this, the second call to
    LRMI_int will always fail due to the stack size being too small.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 20 Feb 2006 13:55:47 +0100

xresprobe (0.4.21) dapper; urgency=low

  * Add support for amd64.  Take the thunking/x86emu parts from vbetool
    and reuse them here.  Great and many thanks go to both Matthew Garrett
    and the people who wrote x86emu.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 13 Feb 2006 14:42:03 +0100

xresprobe (0.4.20) dapper; urgency=low

  * Call Xorg explicitly, instead of guessing through the symlink.
  * ddcprobe: Dump the EDID for debugging purposes.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue, 25 Oct 2005 19:27:17 +1000

=== debian/control ===
Source: xresprobe
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 4.0.0), cdbs
Standards-Version: 3.6.1.0

Package: xresprobe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: laptop-detect
Replaces: kudzu-vesa
Conflicts: kudzu-vesa
Provides: kudzu-vesa
Description: X Resolution Probe
 xresprobe is a package that probes both laptop and DDC-compliant screens for
 their standard resolutions, and returns a specifically-formatted, easy-to-parse
 output.
 .
 It contains the 'ddcprobe' package, which performs a DDC probe to the monitor;
 however, ddcprobe only works on i386 and powerpc. The laptop detection routines
 are, however, sufficiently generic to to be useful to other architectures.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_INSTALL_CHANGELOGS_ALL := 'debian/changelog.Ubuntu'

common-install-impl::
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xresprobe

## xresprobe 0.4.23debian1

=== debian/changelog ===
xresprobe (0.4.23debian1) unstable; urgency=low

  * New release based in 0.4.23 release of Ubuntu.
    - Fixed FTBFS bug (closes: #358334)
  * Fix bashism on xresprobe script (closes: #318215)
  * Stop to install Ubuntu changelog since we're using the same changelog
    file right now.

 -- Otavio Salvador <otavio@debian.org>  Sat,  8 Apr 2006 11:00:30 -0300

xresprobe (0.4.22-1) unstable; urgency=low

  * New upstream release
  * Add myself to uploaders, since octavio didn't grab this after a month

 -- David Nusinow <dnusinow@debian.org>  Tue, 21 Mar 2006 22:03:54 -0500

## xresprobe 0.4.24

=== debian/changelog ===
xresprobe (0.4.24) edgy; urgency=low

  * Fix bashism in ddcprobe.sh.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Jul 2006 21:20:13 +0100

## xresprobe 0.4.24ubuntu3

=== debian/changelog ===
xresprobe (0.4.24ubuntu3) feisty; urgency=low

  * xprobe.sh: use autoprobing only if the driver is vesa.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Thu,  8 Mar 2007 12:14:54 +0200

xresprobe (0.4.24ubuntu2) feisty; urgency=low

  * lcdsize.sh: add a missing 'getres'.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed,  7 Mar 2007 20:34:43 +0200

xresprobe (0.4.24ubuntu1) feisty; urgency=low

  * lcdsize.sh:
    - Add support for vesa.
  * xprobe.sh:
    - Don't use the bare-bones config, instead rely on the new xserver
      to be clever.
  * debian/control:
    - Change the Maintainer address.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed,  7 Mar 2007 15:57:51 +0200

## xresprobe 0.4.24ubuntu8

=== debian/changelog ===
xresprobe (0.4.24ubuntu8) gutsy; urgency=low

  * Fix typo in previous upload

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 15 Oct 2007 01:53:14 -0700

xresprobe (0.4.24ubuntu7) gutsy; urgency=low

  * Expanding the previous xprobe.sh fix, to prevent calling
    xprobe.sh for -intel even if the ddcprobe failed.  
    (Re-closes LP:  #127008)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 15 Oct 2007 00:18:33 -0700

xresprobe (0.4.24ubuntu6) gutsy; urgency=low

  [Tormod Volden]
  * lcdsize.sh: fix vesa sed regexp so that resolutions are returned
    correctly without trailing text.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed, 10 Oct 2007 18:21:05 +0300

xresprobe (0.4.24ubuntu5) gutsy; urgency=low

  * xorg.conf: Fix xprobe.sh failure caused by missing type1 module;
    this was dropped by Debian for xserver 1.3 since it's obsolete and
    has some security issues.  (Addresses portion of fix for 127008)
  * xresprobe: Fix issue in alternate installation for Intel gfx laptops
    resulting in screen to be replaced by flashing colored blocks, by
    making xresprobe use ddcprobe instead of xprobe for laptops using
    the -intel driver.  (Closes LP: #127008 and many, many duplicates)
  * ddcprobe.sh: Fix resolution detection error where LCD's would get
    configured to use one resolution less than their maximum because
    ddcprobe cannot tell the difference between an analog attached LCD
    and a CRT.  (Closes LP: #27667)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 27 Sep 2007 17:57:22 -0700

xresprobe (0.4.24ubuntu4) gutsy; urgency=low

  * Add support for the Intel driver 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 10 Aug 2007 21:15:44 +0100

## xresprobe 0.4.24ubuntu9

=== Makefile ===
--- 
+++ 
@@ -15,4 +15,6 @@
 	install -m755 xprobe.sh $(DESTDIR)$(DATADIR)/
 	install -m755 ddcprobe.sh $(DESTDIR)$(DATADIR)/
 	install -m755 lcdsize.sh $(DESTDIR)$(DATADIR)/
-	install -m644 xfree86.conf $(DESTDIR)$(DATADIR)/
+	install -m755 bitdepth.sh $(DESTDIR)$(DATADIR)/
+	install -m755 rigprobe.sh $(DESTDIR)$(DATADIR)/
+	install -m644 xorg.conf $(DESTDIR)$(DATADIR)/

=== ddcprobe/Makefile ===
--- 
+++ 
@@ -3,19 +3,23 @@
 ARCH := $(patsubst ppc%,ppc,$(ARCH))
 
 CC = gcc
-CFLAGS = -W -Wall -O2 -g# -DDEBUG
+CFLAGS = -W -Wall  -g -O2 #-DDEBUG
 TARGETS = ddcprobe ddcxinfo 
 DDC_OBJS = vesamode.o common.o
 DDC_LIBS =
 
 ifeq ($(findstring $(ARCH),i386), $(ARCH))
 TARGETS += svgamodes modetest libvbe.a
-DDC_OBJS += lrmi.o vbe.o
+DDC_OBJS += x86-common.o lrmi.o vbe.o
+else
+ifeq ($(findstring $(ARCH),x86_64), $(ARCH))
+DDC_OBJS += x86-common.o vbe.o thunk.o x86emu/libx86emu.a
 else
 ifeq ($(ARCH),ppc)
 DDC_OBJS += of.o minifind.o
 else
 DDC_OBJS += stub.o
+endif
 endif
 endif
 
@@ -40,10 +44,13 @@
 ddcxinfo: $(DDC_OBJS) ddcxinfo.o
 	$(CC) $(CFLAGS) -o ddcxinfo $(DDC_OBJS) ddcxinfo.o $(DDC_LIBS)
 
+x86emu/libx86emu.a:
+	make -C x86emu libx86emu.a
+
 # i386 targets
-svgamodes: lrmi.o vesamode.o vbe.o svgamodes.o
-modetest: lrmi.o vesamode.o vbe.o modetest.o
-libvbe.a: lrmi.o vesamode.o vbe.o
+svgamodes: x86-common.o lrmi.o vesamode.o vbe.o svgamodes.o
+modetest: x86-common.o lrmi.o vesamode.o vbe.o modetest.o
+libvbe.a: x86-common.o lrmi.o vesamode.o vbe.o
 	$(AR) cru $@ $^
 
 install-lib: $(prefix)/include/vbe.h $(prefix)/lib/libvbe.a
@@ -56,6 +63,7 @@
 
 clean:
 	$(RM) $(TARGETS) *.o .depend core
+	make -C x86emu clean
 
 depend:
 	$(CPP) -M $(CFLAGS) *.c > .depend

=== debian/changelog ===
xresprobe (0.4.24ubuntu9) karmic; urgency=low

  * ddcprobe/lrmi.c:
    - Define *_MASK to fix FTBFS on newer kernels.

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Sun, 04 Oct 2009 01:29:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: xresprobe
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: Otavio Salvador <otavio@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Uploaders: Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>
 Build-Depends: debhelper (>= 4.0.0), cdbs
 Standards-Version: 3.6.1.0

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

common-install-impl::
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xresprobe
